Retrieve Statistics by Date
https://mapi.storyblok.com/v1/spaces/:space_id/statistics/:dateReturns an array of statistics objects tracked in a specific space during the requested month.
Path parameters
Section titled “Path parameters”- :space_id required number
Numeric ID of the space.
- :date required string
Date in
YYYY-MM-DDformat (returns statistics for the entire month).
Response properties
Section titled “Response properties”- statistic object[]
An array of statistics objects for a specific space.
Show child properties
- id number
The numeric ID of the API request record.
- counting number
The number of API requests made on the specified day of the month.
- total_bytes number
The total bandwidth (in bytes) consumed by the API requests on a specific day. Returns
nullif the bandwidth hasn’t been calculated yet. - created_at string
The day that the system logged the API usage.
-
Examples
Section titled “Examples”Example Request
curl "https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01" \ -H "Authorization: YOUR_OAUTH_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/44203/statistics/2026-03-01', {}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$client->get('spaces/44203/statistics/2026-03-01')->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01") .header("Authorization", "YOUR_OAUTH_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/44203/statistics/2026-03-01"
querystring = {}
payload = ""headers = { 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
client.get('spaces/44203/statistics/2026-03-01')let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))let request = URLRequest(storyblok: storyblok, path: "spaces/44203/statistics/2026-03-01")let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.get("spaces/44203/statistics/2026-03-01")
println(response.body<JsonElement>()){ "statistics": [ { "id": 155721213373372, "counting": 11, "total_bytes": 275000, "created_at": "2026-03-16" }, { "id": 156075121263581, "counting": 59, "total_bytes": 6558205, "created_at": "2026-03-17" }, { "id": 156428992253001, "counting": 12, "total_bytes": 365838, "created_at": "2026-03-18" }, { "id": 156782884025556, "counting": 13, "total_bytes": 325000, "created_at": "2026-03-19" } ]}Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community